## org.omg.CORBA
Class INVALID_TRANSACTION

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.omg.CORBA.SystemException
                              |
                              +--org.omg.CORBA.INVALID_TRANSACTION

All Implemented Interfaces:
  org.apache.avalon.framework.CascadingThrowable, java.io.Serializable

public class INVALID_TRANSACTION
extends SystemException

The INVALID_TRANSACTION indicates that the request carried an invalid transaction context. For example, this exception could be raised if an error occurred when trying to register a resource.

See Also:
  Serialized Form

Fields inherited from class org.omg.CORBA.SystemException
`completed, minor`

Constructor Summary
`INVALID_TRANSACTION()`
`INVALID_TRANSACTION(int minor, CompletionStatus completed)`
`INVALID_TRANSACTION(java.lang.String orb_reason)`
`INVALID_TRANSACTION(java.lang.String orb_reason, int minor, CompletionStatus completed)`

Methods inherited from class org.omg.CORBA.SystemException
`getCause, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### INVALID_TRANSACTION

    public INVALID_TRANSACTION()

### INVALID_TRANSACTION

    public INVALID_TRANSACTION(java.lang.String orb_reason)

### INVALID_TRANSACTION

    public INVALID_TRANSACTION(int minor,
                               CompletionStatus completed)

### INVALID_TRANSACTION

    public INVALID_TRANSACTION(java.lang.String orb_reason,
                               int minor,
                               CompletionStatus completed)